<!DOCTYPE html>
@php
    use Illuminate\Support\Facades\Route;
@endphp
<html lang="{{ session()->get('locale') ?? app()->getLocale() }}"
    data-assets-path="{{ asset('/assets') . '/' }}"
    data-base-url="{{ url('/') }}"
    data-route="{{ Route::currentRouteName() }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>@hasSection('title') @yield('title') | @endif{{ $_web['title'] }}</title>

        <meta name="description" content="{{ config('_var.appDescription') }}" />
        <meta name="author" content="{{ config('_var.author') }}">

        <!-- laravel CRUD token -->
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <!-- Favicons-->
        <link rel="icon" href="{{ asset('storage/' . $_web['favicon']['16x16']) }}" type="image/x-icon">
        <link rel="icon" sizes="192x192" href="{{ asset('storage/' . $_web['favicon']['192x192']) }}">
        <link rel="apple-touch-icon" type="image/x-icon" sizes="76x76" href="{{ asset('storage/' . $_web['favicon']['76x76']) }}">
        <link rel="apple-touch-icon" type="image/x-icon" sizes="120x120" href="{{ asset('storage/' . $_web['favicon']['120x120']) }}">
        <link rel="apple-touch-icon" type="image/x-icon" sizes="152x152" href="{{ asset('storage/' . $_web['favicon']['152x152']) }}">
        <link rel="apple-touch-icon" type="image/x-icon" sizes="180x180" href="{{ asset('storage/' . $_web['favicon']['180x180']) }}">

        <!-- Mobile Metas -->
        <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">

        <!-- Include Styles -->
        @include('layouts.porto.sections.styles')

        <!-- Include Scripts -->
        @include('layouts.porto.sections.scriptsIncludes')
    </head>
    <body data-plugin-page-transition>
        <!-- Layout Content -->
        @yield('content')
        <!--/ Layout Content -->

        <!-- Include Scripts -->
        @include('layouts.porto.sections.scripts')
	</body>
</html>
